Package twisted :: Package im :: Module basechat :: Class GroupConversation

[show private | hide private]
[frames | no frames]

## Class GroupConversation

A conversation with a group of people.

Method Summary
| ``__init__`(self, group, chatui)`
| ``hide`(self)` Hides the GroupConversationWindow.
| ``memberChangedNick`(self, oldnick, newnick)` Changes the oldnick in the list of members to newnick and displays this change to the user
| ``memberJoined`(self, member)` Adds the given member to the list of members in the group conversation and displays this to the user
| ``memberLeft`(self, member)` Deletes the given member from the list of members in the group conversation and displays the change to the user
`Deferred<twisted.internet.defer.Deferred>` | ``sendText`(self, text)` Sends text to the group.
| ``setGroupMembers`(self, members)` Sets the list of members in the group and displays it to the user
| ``setTopic`(self, topic, author)` Displays the topic (from the server) for the group conversation window
| ``show`(self)` Displays the GroupConversationWindow.
| ``showGroupMessage`(self, sender, text, metadata)` Displays to the user a message sent to this group from the given sender

Method Details

### __init__(self, group, chatui)
(Constructor)

  Parameters:
    `group`
    (type=`Group<interfaces.IGroup>`)
    `chatui` - ???
    (type=`ChatUI`)

### hide(self)

Hides the GroupConversationWindow.

### memberChangedNick(self, oldnick, newnick)

Changes the oldnick in the list of members to newnick and displays this change to the user

  Parameters:
    `oldnick`
    (type=string)
    `newnick`
    (type=string)

### memberJoined(self, member)

Adds the given member to the list of members in the group conversation and displays this to the user

  Parameters:
    `member`
    (type=string (XXX: Not Person?))

### memberLeft(self, member)

Deletes the given member from the list of members in the group conversation and displays the change to the user

  Parameters:
    `member`
    (type=string)

### sendText(self, text)

Sends text to the group.

  Parameters:
    `text`
    (type=string)
  Returns:
    `Deferred<twisted.internet.defer.Deferred>`

### setGroupMembers(self, members)

Sets the list of members in the group and displays it to the user

### setTopic(self, topic, author)

Displays the topic (from the server) for the group conversation window

  Parameters:
    `topic`
    (type=string)
    `author`
    (type=string (XXX: Not Person?))

### show(self)

Displays the GroupConversationWindow.

### showGroupMessage(self, sender, text, metadata=None)

Displays to the user a message sent to this group from the given sender

  Parameters:
    `sender`
    (type=string (XXX: Not Person?))
    `text`
    (type=string)
    `metadata`
    (type=dict)

Generated by Epydoc 1.1 on Thu May 8 13:16:25 2003 | http://epydoc.sf.net